version: '3.8'

volumes:
  bridge-backend-service-data:

networks:
  default:
    name: oots-emrex

services:
  bridge-backend:
    image: code.europa.eu:4567/oots/tdd/oots-bridge-monorepo/bridge-backend:0.1.0
    container_name: bridge-backend
    environment:
      BRIDGE_FRONTEND_URL: 'http://localhost:3001'
      PARTY_ID: ''
      DOMIBUS_ACCESS_POINT: ''
      PROXY_URL: ''
      ELM_CONVERTER_URL: ''
      TIMEOUT_IN_SECONDS: 1800
      GITLAB_FILES: "OOTS-EDM/xslt/EDM-REQ-C.xsl,OOTS-EDM/xslt/EDM-REQ-S.xsl"
      BASE_URL: "https://code.europa.eu/oots/tdd/tdd_chapters"
      BRANCH: "1.0.5"
      EMREX_DATA_PROVIDERS: >
        {
          "DEMO1": { "url": "https://vt-mijn.duo.nl/services/dr-iud/emrex/", "certificate": "-----BEGIN CERTIFICATE-----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\ny2WwFHtPq6FdUTa+DTzN\n-----END CERTIFICATE-----" },
          "DEMO2": { "url": "https://vip-test.uio.no/vp/init", "certificate": "-----BEGIN CERTIFICATE-----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\nXGx2csVAVJtTA0glBW2CiNo=\n-----END CERTIFICATE-----" }
        }
    ports:
      - '3003:3003'
    volumes:
      - bridge-backend-service-data:/app/db
    restart: unless-stopped
  bridge-frontend:
    image: code.europa.eu:4567/oots/tdd/oots-bridge-monorepo/bridge-frontend:0.1.0
    container_name: bridge-frontend
    ports:
      - '3001:3000'
    environment:
      NEXT_PUBLIC_BRIDGE_BACKEND_URL: ''
      NEXT_PUBLIC_BASE_PATH_BRIDGE: ''
    restart: unless-stopped
  procedure-portal-backend:
    image: code.europa.eu:4567/oots/tdd/oots-bridge-monorepo/procedure-portal-backend:0.1.0
    container_name: procedure-portal-backend
    ports:
      - '3002:3002'
    environment:
      DOMIBUS_ACCESS_POINT: ''
      ACCESS_POINT_PARTY_ID: ''
      ACCESS_POINT_PARTY_TYPE: ''
      PARTY_ID: ''
      BRIDGE_ACCESS_POINT_PARTY_ID: ''
      BRIDGE_ACCESS_POINT_PARTY_TYPE: ''
      BRIDGE_PARTY_ID: ''
      PROXY_URL: ''
      PROCEDURE_PORTAL_FRONTEND_URL: ''
      EMREX_DATA_PROVIDERS: >
        {
          "DEMO1": "[NL] Netherlands test EMP",
          "DEMO2": "[NO] Norway registry"
        }
    restart: unless-stopped
  procedure-portal-frontend:
    image: code.europa.eu:4567/oots/tdd/oots-bridge-monorepo/procedure-portal-frontend:0.1.0
    container_name: procedure-portal-frontend
    ports:
      - '3000:3000'
    environment:
      NEXT_PUBLIC_PROCEDURE_PORTAL_BACKEND_URL: ''
      NEXT_PUBLIC_PROCEDURE_PORTAL_FRONTEND_URL: ''
      NEXT_PUBLIC_BASE_PATH_PROCEDURE_PORTAL: ''
    restart: unless-stopped
